Skip to main content
GET
/
v3
/
billing-methods
List billing methods
curl --request GET \
  --url https://api.snappy.com/v3/billing-methods \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "fs_abc123",
      "name": "Q1 Marketing PO",
      "type": "PO",
      "status": "active",
      "createdAt": "2025-01-15T10:00:00.000Z",
      "expirationDate": "2025-12-31T23:59:59.000Z",
      "spendingLimit": {
        "remaining": 7250.5
      }
    },
    {
      "id": "fs_def456",
      "name": "Net-30 Invoice",
      "type": "Invoice",
      "status": "active",
      "createdAt": "2025-03-01T10:00:00.000Z",
      "expirationDate": null,
      "spendingLimit": null
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

Partner API key. Finalized per partner integration agreement.

Headers

Snappy-Account-Id
string

Optional account identifier for scoping/validation/filtering.

Snappy-Company-Id
string

Optional company identifier for scoping/validation/filtering.

Query Parameters

filter[type]
enum<string>

Filter by billing method type. The type of the billing method.

Available options:
Prepay,
Invoice,
PO,
CC
Example:

"PO"

filter[status]
enum<string>

Filter by billing method status. Allowed values depend on the selected type:

  • Invoice: active, archived
  • CC: active, archived, expired
  • PO: draft, active, archived, expired
  • Prepay: draft, active, archived

The current status of the billing method.

Available options:
draft,
active,
archived,
expired
Example:

"active"

filter[remainingBalance][gte]
number

Return only billing methods with remaining balance at or above this value.

Required range: x > 0
filter[remainingBalance][lte]
number

Return only billing methods with remaining balance at or below this value.

Required range: x > 0

Response

List of billing methods for the account.

A list of billing methods for the account.

data
object[]
required
Last modified on June 6, 2026